OGRE-Next: Ogre::VertexBoneAssignment Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::VertexBoneAssignment Struct Reference
Core » Animation

Records the assignment of a single vertex to a single bone with the corresponding weight. More...

`#include <OgreVertexBoneAssignment.h>`

## Public Member Functions
| VertexBoneAssignment (const v1::VertexBoneAssignment &c)
| VertexBoneAssignment (uint32 _vertexIndex, uint16 _boneIndex, Real _weight)
bool | operator< (const VertexBoneAssignment &_r) const

## Public Attributes
uint16 | boneIndex
uint32 | vertexIndex
Real | weight

## Detailed Description

Records the assignment of a single vertex to a single bone with the corresponding weight.

Remarks
  This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed.

## Constructor & Destructor Documentation

## ◆ VertexBoneAssignment() [1/2]

Ogre::VertexBoneAssignment::VertexBoneAssignment | ( | uint32 | _vertexIndex,
|  | uint16 | _boneIndex,
|  | Real | _weight )
| inline

References boneIndex, vertexIndex, and weight.

Referenced by operator<, operator<(), and operator<.

## ◆ VertexBoneAssignment() [2/2]

Ogre::VertexBoneAssignment::VertexBoneAssignment | ( | const v1::VertexBoneAssignment & | c | ) |
| inline

References boneIndex, vertexIndex, and weight.

## Member Function Documentation

## ◆ operator<()

bool Ogre::VertexBoneAssignment::operator< | ( | const VertexBoneAssignment & | _r | ) | const
| inline

References VertexBoneAssignment(), vertexIndex, and weight.

## Member Data Documentation

## ◆ boneIndex

uint16 Ogre::VertexBoneAssignment::boneIndex

Referenced by VertexBoneAssignment(), and VertexBoneAssignment().

## ◆ vertexIndex

uint32 Ogre::VertexBoneAssignment::vertexIndex

Referenced by VertexBoneAssignment(), VertexBoneAssignment(), operator<, operator<(), and operator<.

## ◆ weight

Real Ogre::VertexBoneAssignment::weight

Referenced by VertexBoneAssignment(), VertexBoneAssignment(), and operator<().

The documentation for this struct was generated from the following file:

- OgreVertexBoneAssignment.h